package com.ozs.service.service.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ozs.common.utils.AppendUtils;
import com.ozs.service.entity.BaseElectricityResume;
import com.ozs.service.entity.vo.BaseDeviceResumeVo;
import com.ozs.service.entity.vo.BaseElectricityResumeVo;
import com.ozs.service.entity.vo.ElectricityResumeResp;
import com.ozs.service.mapper.BaseElectricityResumeMapper;
import com.ozs.service.service.BaseElectricityResumeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;

/**
 * @author Administrator
 */
@Service
public class BaseElectricityResumeServiceImpl extends ServiceImpl<BaseElectricityResumeMapper, BaseElectricityResume> implements BaseElectricityResumeService {
    @Autowired
    private BaseElectricityResumeMapper baseElectricityResumeMapper;
    @Override
    public List<BaseElectricityResumeVo> getBaseElectricityResume(String cameraCode, String startTime, String endTime) {
        List<BaseElectricityResumeVo> baseElectricityResume = baseElectricityResumeMapper.getBaseElectricityResume(cameraCode, startTime, endTime);

        for (BaseElectricityResumeVo baseElectricityResumeVo : baseElectricityResume) {
            String installMile = AppendUtils.stringAppend(baseElectricityResumeVo.getInstallMile());
            baseElectricityResumeVo.setInstallMiles(installMile);
        }
        return baseElectricityResume;
    }

    @Override
    public List<ElectricityResumeResp> exportElectricityResume(String cameraCode, String startTime, String endTime) {
        List<ElectricityResumeResp> baseElectricityResumeVoList = baseElectricityResumeMapper.exportElectricityResume(cameraCode, startTime, endTime);

        for (ElectricityResumeResp electricityResumeResp : baseElectricityResumeVoList) {
            String installMile = AppendUtils.stringAppend(electricityResumeResp.getInstallMile());
            electricityResumeResp.setInstallMileName(installMile);
        }
        return baseElectricityResumeVoList;
    }
}
